Package org.eclipse.emf.cdo.ui

# Class UserInfo

java.lang.Object
org.eclipse.emf.cdo.ui.UserInfo

public final class UserInfo extends Object
Encapsulates `serializable` information about a user, namely her `first`, `last`, and `display` names.

Since:
  4.13
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`UserInfo.Manager`
Manages the `user info` of the `local user` and maintains a user info cache for `remote users`.

## Constructor Summary

Constructors
Constructor
Description
`UserInfo(String firstName, String lastName, String displayName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
`String`
`getFirstName()`
`String`
`getLastName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserInfo

public UserInfo(String firstName, String lastName, String displayName)

## Method Details

### getFirstName

public String getFirstName()

### getLastName

public String getLastName()

### getDisplayName

public String getDisplayName()

### toString

public String toString()

Overrides:
  `toString` in class `Object`